OpenGLRaw-1.5.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.Raw.ARB.TextureBufferObject

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the ARB_texture_buffer_object, see http://www.opengl.org/registry/specs/ARB/texture_buffer_object.txt.

Synopsis

- glTexBuffer :: GLenum -> GLenum -> GLuint -> IO ()
- gl_TEXTURE_BUFFER :: GLenum
- gl_MAX_TEXTURE_BUFFER_SIZE :: GLenum
- gl_TEXTURE_BINDING_BUFFER :: GLenum
- gl_TEXTURE_BUFFER_DATA_STORE_BINDING :: GLenum
- gl_TEXTURE_BUFFER_FORMAT :: GLenum

# Functions

glTexBuffer :: GLenum -> GLenum -> GLuint -> IO ()

# Tokens

gl_TEXTURE_BUFFER :: GLenum

gl_MAX_TEXTURE_BUFFER_SIZE :: GLenum

gl_TEXTURE_BINDING_BUFFER :: GLenum

gl_TEXTURE_BUFFER_DATA_STORE_BINDING :: GLenum

gl_TEXTURE_BUFFER_FORMAT :: GLenum